> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アノテーションキュー統計

> 複数のannotation queueの統計情報を取得します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /annotation_queues/stats
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/stats:
    post:
      tags:
        - Annotation Queues
      summary: アノテーションキュー統計
      description: 複数のannotation queueの統計情報を取得します。
      operationId: annotation_queues_stats_annotation_queues_stats_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueuesStatsReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueuesStatsRes'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueuesStatsReq:
      additionalProperties: false
      description: 複数のannotation queueの統計を取得するためのリクエスト。
      properties:
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        queue_ids:
          description: 統計を取得するキューIDのリスト
          examples:
            - - 550e8400-e29b-41d4-a716-446655440000
              - 550e8400-e29b-41d4-a716-446655440001
          items:
            type: string
          title: Queue Ids
          type: array
      required:
        - project_id
        - queue_ids
      title: AnnotationQueuesStatsReq
      type: object
    AnnotationQueuesStatsRes:
      description: 複数のannotation queueの統計を含むレスポンス。
      properties:
        stats:
          items:
            $ref: '#/components/schemas/AnnotationQueueStatsSchema'
          title: Stats
          type: array
      required:
        - stats
      title: AnnotationQueuesStatsRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AnnotationQueueStatsSchema:
      description: 単一のアノテーションキューの統計。
      properties:
        completed_items:
          description: 少なくとも1人のアノテーターによって完了またはスキップされた項目数
          title: Completed Items
          type: integer
        queue_id:
          description: キューID
          examples:
            - 550e8400-e29b-41d4-a716-446655440000
          title: Queue Id
          type: string
        total_items:
          description: キュー内の項目の総数
          title: Total Items
          type: integer
      required:
        - queue_id
        - total_items
        - completed_items
      title: AnnotationQueueStatsSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````